## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class SystemDefinedDefaultType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SystemDefinedDefaultType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class SystemDefinedDefaultType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'System Defined Default Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getSystemDefinedDefaultType()`, Serialized Form

Field Summary
`static int` `AUTOINCREMENT` The 'AUTOINCREMENT' literal value.
`static SystemDefinedDefaultType` `AUTOINCREMENT_LITERAL` The 'AUTOINCREMENT' literal object.
`static int` `CURRENT_DATABASE` The 'CURRENT DATABASE' literal value.
`static SystemDefinedDefaultType` `CURRENT_DATABASE_LITERAL` The 'CURRENT DATABASE' literal object.
`static int` `CURRENT_DATE` The 'CURRENT DATE' literal value.
`static SystemDefinedDefaultType` `CURRENT_DATE_LITERAL` The 'CURRENT DATE' literal object.
`static int` `CURRENT_PUBLISHER` The 'CURRENT PUBLISHER' literal value.
`static SystemDefinedDefaultType` `CURRENT_PUBLISHER_LITERAL` The 'CURRENT PUBLISHER' literal object.
`static int` `CURRENT_REMOTE_USER` The 'CURRENT REMOTE USER' literal value.
`static SystemDefinedDefaultType` `CURRENT_REMOTE_USER_LITERAL` The 'CURRENT REMOTE USER' literal object.
`static int` `CURRENT_TIME` The 'CURRENT TIME' literal value.
`static SystemDefinedDefaultType` `CURRENT_TIME_LITERAL` The 'CURRENT TIME' literal object.
`static int` `CURRENT_TIMESTAMP` The 'CURRENT TIMESTAMP' literal value.
`static SystemDefinedDefaultType` `CURRENT_TIMESTAMP_LITERAL` The 'CURRENT TIMESTAMP' literal object.
`static int` `CURRENT_USER` The 'CURRENT USER' literal value.
`static SystemDefinedDefaultType` `CURRENT_USER_LITERAL` The 'CURRENT USER' literal object.
`static int` `CURRENT_UTC_TIMESTAMP` The 'CURRENT UTC TIMESTAMP' literal value.
`static SystemDefinedDefaultType` `CURRENT_UTC_TIMESTAMP_LITERAL` The 'CURRENT UTC TIMESTAMP' literal object.
`static int` `GLOBAL_AUTOINCREMENT` The 'GLOBAL AUTOINCREMENT' literal value.
`static SystemDefinedDefaultType` `GLOBAL_AUTOINCREMENT_LITERAL` The 'GLOBAL AUTOINCREMENT' literal object.
`static int` `LAST_USER` The 'LAST USER' literal value.
`static SystemDefinedDefaultType` `LAST_USER_LITERAL` The 'LAST USER' literal object.
`static int` `NULL` The 'NULL' literal value.
`static SystemDefinedDefaultType` `NULL_LITERAL` The 'NULL' literal object.
`static int` `TIMESTAMP` The 'TIMESTAMP' literal value.
`static SystemDefinedDefaultType` `TIMESTAMP_LITERAL` The 'TIMESTAMP' literal object.
`static int` `USER` The 'USER' literal value.
`static SystemDefinedDefaultType` `USER_LITERAL` The 'USER' literal object.
`static int` `UTC_TIMESTAMP` The 'UTC TIMESTAMP' literal value.
`static SystemDefinedDefaultType` `UTC_TIMESTAMP_LITERAL` The 'UTC TIMESTAMP' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'System Defined Default Type' enumerators.

Method Summary
`static SystemDefinedDefaultType` `get(int value)` Returns the 'System Defined Default Type' literal with the specified integer value.
`static SystemDefinedDefaultType` `get(java.lang.String literal)` Returns the 'System Defined Default Type' literal with the specified literal value.
`static SystemDefinedDefaultType` `getByName(java.lang.String name)` Returns the 'System Defined Default Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTOINCREMENT

    public static final int AUTOINCREMENT

  The 'AUTOINCREMENT' literal value.

  If the meaning of 'AUTOINCREMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUTOINCREMENT_LITERAL`, Constant Field Values

### CURRENT_DATABASE

    public static final int CURRENT_DATABASE

  The 'CURRENT DATABASE' literal value.

  If the meaning of 'CURRENT DATABASE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_DATABASE_LITERAL`, Constant Field Values

### CURRENT_REMOTE_USER

    public static final int CURRENT_REMOTE_USER

  The 'CURRENT REMOTE USER' literal value.

  If the meaning of 'CURRENT REMOTE USER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_REMOTE_USER_LITERAL`, Constant Field Values

### CURRENT_UTC_TIMESTAMP

    public static final int CURRENT_UTC_TIMESTAMP

  The 'CURRENT UTC TIMESTAMP' literal value.

  If the meaning of 'CURRENT UTC TIMESTAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_UTC_TIMESTAMP_LITERAL`, Constant Field Values

### GLOBAL_AUTOINCREMENT

    public static final int GLOBAL_AUTOINCREMENT

  The 'GLOBAL AUTOINCREMENT' literal value.

  If the meaning of 'GLOBAL AUTOINCREMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GLOBAL_AUTOINCREMENT_LITERAL`, Constant Field Values

### NULL

    public static final int NULL

  The 'NULL' literal value.

  If the meaning of 'NULL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULL_LITERAL`, Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

  The 'TIMESTAMP' literal value.

  If the meaning of 'TIMESTAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TIMESTAMP_LITERAL`, Constant Field Values

### UTC_TIMESTAMP

    public static final int UTC_TIMESTAMP

  The 'UTC TIMESTAMP' literal value.

  If the meaning of 'UTC TIMESTAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UTC_TIMESTAMP_LITERAL`, Constant Field Values

### LAST_USER

    public static final int LAST_USER

  The 'LAST USER' literal value.

  If the meaning of 'LAST USER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LAST_USER_LITERAL`, Constant Field Values

### CURRENT_DATE

    public static final int CURRENT_DATE

  The 'CURRENT DATE' literal value.

  If the meaning of 'CURRENT DATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_DATE_LITERAL`, Constant Field Values

### CURRENT_TIME

    public static final int CURRENT_TIME

  The 'CURRENT TIME' literal value.

  If the meaning of 'CURRENT TIME' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_TIME_LITERAL`, Constant Field Values

### CURRENT_TIMESTAMP

    public static final int CURRENT_TIMESTAMP

  The 'CURRENT TIMESTAMP' literal value.

  If the meaning of 'CURRENT TIMESTAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_TIMESTAMP_LITERAL`, Constant Field Values

### CURRENT_USER

    public static final int CURRENT_USER

  The 'CURRENT USER' literal value.

  If the meaning of 'CURRENT USER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_USER_LITERAL`, Constant Field Values

### CURRENT_PUBLISHER

    public static final int CURRENT_PUBLISHER

  The 'CURRENT PUBLISHER' literal value.

  If the meaning of 'CURRENT PUBLISHER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_PUBLISHER_LITERAL`, Constant Field Values

### USER

    public static final int USER

  The 'USER' literal value.

  If the meaning of 'USER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USER_LITERAL`, Constant Field Values

### AUTOINCREMENT_LITERAL

    public static final SystemDefinedDefaultType AUTOINCREMENT_LITERAL

  The 'AUTOINCREMENT' literal object.

  See Also:
    `AUTOINCREMENT`

### CURRENT_DATABASE_LITERAL

    public static final SystemDefinedDefaultType CURRENT_DATABASE_LITERAL

  The 'CURRENT DATABASE' literal object.

  See Also:
    `CURRENT_DATABASE`

### CURRENT_REMOTE_USER_LITERAL

    public static final SystemDefinedDefaultType CURRENT_REMOTE_USER_LITERAL

  The 'CURRENT REMOTE USER' literal object.

  See Also:
    `CURRENT_REMOTE_USER`

### CURRENT_UTC_TIMESTAMP_LITERAL

    public static final SystemDefinedDefaultType CURRENT_UTC_TIMESTAMP_LITERAL

  The 'CURRENT UTC TIMESTAMP' literal object.

  See Also:
    `CURRENT_UTC_TIMESTAMP`

### GLOBAL_AUTOINCREMENT_LITERAL

    public static final SystemDefinedDefaultType GLOBAL_AUTOINCREMENT_LITERAL

  The 'GLOBAL AUTOINCREMENT' literal object.

  See Also:
    `GLOBAL_AUTOINCREMENT`

### NULL_LITERAL

    public static final SystemDefinedDefaultType NULL_LITERAL

  The 'NULL' literal object.

  See Also:
    `NULL`

### TIMESTAMP_LITERAL

    public static final SystemDefinedDefaultType TIMESTAMP_LITERAL

  The 'TIMESTAMP' literal object.

  See Also:
    `TIMESTAMP`

### UTC_TIMESTAMP_LITERAL

    public static final SystemDefinedDefaultType UTC_TIMESTAMP_LITERAL

  The 'UTC TIMESTAMP' literal object.

  See Also:
    `UTC_TIMESTAMP`

### LAST_USER_LITERAL

    public static final SystemDefinedDefaultType LAST_USER_LITERAL

  The 'LAST USER' literal object.

  See Also:
    `LAST_USER`

### CURRENT_DATE_LITERAL

    public static final SystemDefinedDefaultType CURRENT_DATE_LITERAL

  The 'CURRENT DATE' literal object.

  See Also:
    `CURRENT_DATE`

### CURRENT_TIME_LITERAL

    public static final SystemDefinedDefaultType CURRENT_TIME_LITERAL

  The 'CURRENT TIME' literal object.

  See Also:
    `CURRENT_TIME`

### CURRENT_TIMESTAMP_LITERAL

    public static final SystemDefinedDefaultType CURRENT_TIMESTAMP_LITERAL

  The 'CURRENT TIMESTAMP' literal object.

  See Also:
    `CURRENT_TIMESTAMP`

### CURRENT_USER_LITERAL

    public static final SystemDefinedDefaultType CURRENT_USER_LITERAL

  The 'CURRENT USER' literal object.

  See Also:
    `CURRENT_USER`

### CURRENT_PUBLISHER_LITERAL

    public static final SystemDefinedDefaultType CURRENT_PUBLISHER_LITERAL

  The 'CURRENT PUBLISHER' literal object.

  See Also:
    `CURRENT_PUBLISHER`

### USER_LITERAL

    public static final SystemDefinedDefaultType USER_LITERAL

  The 'USER' literal object.

  See Also:
    `USER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'System Defined Default Type' enumerators.

Method Detail

### get

    public static SystemDefinedDefaultType get(java.lang.String literal)

  Returns the 'System Defined Default Type' literal with the specified literal value.

### getByName

    public static SystemDefinedDefaultType getByName(java.lang.String name)

  Returns the 'System Defined Default Type' literal with the specified name.

### get

    public static SystemDefinedDefaultType get(int value)

  Returns the 'System Defined Default Type' literal with the specified integer value.